List displays
GET
/api/sdk/v1/displaysReturns the displays bound to the personal access token owner.
Authorization
bearerAuth AuthorizationBearer <token>
A personal access token created in the inklet portal. Server-side use only.
In: header
Query Parameters
cursor?string
Opaque cursor returned by the previous page.
Length
1 <= lengthlimit?integer
Number of items to return.
Range
1 <= value <= 50Default
20Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/api/sdk/v1/displays"{ "nextCursor": "string", "hasMore": true, "items": [ { "id": "string", "hardwareId": "string", "thingName": "string", "name": "string", "nickname": "string", "firmware": "string", "batteryPercent": 0, "online": true, "lastSeenAt": "2019-08-24T14:15:22Z", "stateUpdatedAt": "2019-08-24T14:15:22Z", "boundAt": "2019-08-24T14:15:22Z", "tags": [ "string" ], "syncIntervalMinutes": 0, "nextSyncAt": "2019-08-24T14:15:22Z", "currentPresentationId": "string", "currentPresentationUpdatedAt": "2019-08-24T14:15:22Z", "pendingPresentationId": "string", "capabilities": { "pixelWidth": 1, "pixelHeight": 1, "orientation": "string", "colorMode": "string", "supportedImageContentTypes": [ "string" ], "supportedOutputFormats": [ "png" ] } } ]}